Commit 58ef165b authored by Vincent Le gallic's avatar Vincent Le gallic

On ne wipe pas les variables de session sur le dépôt de test + suppression de...

On ne wipe pas les variables de session sur le dépôt de test + suppression de la duplication pour l'initscript
parent 2ffb8253
......@@ -23,7 +23,9 @@ SOCKET=unix:/tmp/gunicorn-intranet.sock
SETTINGS="wsgi:application"
DAEMON_ARGS="--workers=1 --pid=$PIDFILE --daemon --user=www-data --group=www-data --name=$NAME --bind=$SOCKET $SETTINGS"
SCRIPTNAME=/etc/init.d/$NAME
INTRANETDIR=/usr/local/django/intranet
if [ -z $INTRANETDIR ]; then
INTRANETDIR=/usr/local/django/intranet
fi
# Exit if the package is not installed
[ -x "$DAEMON" ] || exit 0
......
......@@ -13,128 +13,6 @@
# Do NOT "set -e"
# PATH should only include /usr/* if it runs after the mountnfs.sh script
PATH=/sbin:/usr/sbin:/bin:/usr/bin
DESC="Green Unicorn WSGI server for Intranet"
NAME=gunicorn_django
DAEMON=/usr/bin/$NAME
PIDFILE=/var/run/gunicorn-intranet.pid
SOCKET=unix:/tmp/gunicorn-intranet.sock
SETTINGS="/localhome/django/intranet/settings.py"
DAEMON_ARGS="--workers=1 --pid=$PIDFILE --daemon --user=www-data --group=www-data --name=$NAME --bind=$SOCKET $SETTINGS"
SCRIPTNAME=/etc/init.d/$NAME
# Exit if the package is not installed
[ -x "$DAEMON" ] || exit 0
# Read configuration variable file if it is present
[ -r /etc/default/$NAME ] && . /etc/default/$NAME
# Load the VERBOSE setting and other rcS variables
. /lib/init/vars.sh
# Define LSB log_* functions.
# Depend on lsb-base (>= 3.2-14) to ensure that this file is present
# and status_of_proc is working.
. /lib/lsb/init-functions
#
# Function that starts the daemon/service
#
do_start()
{
# Return
# 0 if daemon has been started
# 1 if daemon was already running
# 2 if daemon could not be started
start-stop-daemon --start --quiet --pidfile $PIDFILE --exec $DAEMON --test > /dev/null \
|| return 1
start-stop-daemon --start --quiet --pidfile $PIDFILE --exec $DAEMON -- \
$DAEMON_ARGS \
|| return 2
}
#
# Function that stops the daemon/service
#
do_stop()
{
# Return
# 0 if daemon has been stopped
# 1 if daemon was already stopped
# 2 if daemon could not be stopped
# other if a failure occurred
start-stop-daemon --stop --quiet --retry=TERM/30/KILL/5 --pidfile $PIDFILE
RETVAL="$?"
[ "$RETVAL" = 2 ] && return 2
# Wait for children to finish too if this is a daemon that forks
# and if the daemon is only ever run from this initscript.
# If the above conditions are not satisfied then add some other code
# that waits for the process to drop all resources that could be
# needed by services started subsequently. A last resort is to
# sleep for some time.
start-stop-daemon --stop --quiet --oknodo --retry=0/30/KILL/5 --pidfile $PIDFILE
[ "$?" = 2 ] && return 2
# Many daemons don't delete their pidfiles when they exit.
#rm -f $PIDFILE
return "$RETVAL"
}
#
# Function that sends a SIGHUP to the daemon/service
#
do_reload() {
start-stop-daemon --stop --signal 1 --quiet --pidfile $PIDFILE
return 0
}
case "$1" in
start)
[ "$VERBOSE" != no ] && log_daemon_msg "Starting $DESC" "$NAME"
do_start
case "$?" in
0|1) [ "$VERBOSE" != no ] && log_end_msg 0 ;;
2) [ "$VERBOSE" != no ] && log_end_msg 1 ;;
esac
;;
stop)
[ "$VERBOSE" != no ] && log_daemon_msg "Stopping $DESC" "$NAME"
do_stop
case "$?" in
0|1) [ "$VERBOSE" != no ] && log_end_msg 0 ;;
2) [ "$VERBOSE" != no ] && log_end_msg 1 ;;
esac
;;
status)
status_of_proc "$DAEMON" "$NAME" && exit 0 || exit $?
;;
reload|force-reload)
log_daemon_msg "Reloading $DESC" "$NAME"
do_reload
log_end_msg $?
;;
restart)
log_daemon_msg "Restarting $DESC" "$NAME"
do_stop
case "$?" in
0|1)
do_start
case "$?" in
0) log_end_msg 0 ;;
1) log_end_msg 1 ;; # Old process is still running
*) log_end_msg 1 ;; # Failed to start
esac
;;
*)
# Failed to stop
log_end_msg 1
;;
esac
;;
*)
echo "Usage: $SCRIPTNAME {start|stop|restart|reload|force-reload}" >&2
exit 3
;;
esac
:
# On appelle l'initscript initial en préparant la variable INTRANETDIR
LOCALINTRANETDIR=/localhome/django/intranet
INTRANETDIR=$LOCALINTRANETDIR $LOCALINTRANETDIR/utils/gunicorn-intranet.init "$*"
......@@ -2,11 +2,13 @@
# -*- coding: utf-8 -*-
import os
import settings
os.environ.setdefault("DJANGO_SETTINGS_MODULE", "settings")
from django.contrib.sessions.models import Session
Session.objects.all().delete()
if not settings.DEBUG:
from django.contrib.sessions.models import Session
Session.objects.all().delete()
# This application object is used by the development server
# as well as any WSGI server configured to use this file.
......
Markdown is supported
0% or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment